기본 결정 풀은 보관 처리할 수 없습니다
API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/decision-pool-system-immutable입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
결정 풀 <id>는 조직의 기본 풀 중 하나이므로 보관 처리할 수 없습니다. 이름은 변경할 수 있습니다.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
예시#
json
{
"detail": "Decision pool <id> is one of the organization's default pools and cannot be archived. It can still be renamed.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/decision-pool-system-immutable",
"status": 409,
"title": "Default decision pool cannot be archived"
}이 오류를 반환하는 엔드포인트#
POST /v2/organizations/{orgId}/decision-pools/{id}/archive